The online Trailblazer Community is now read-only. [Read the FAQ] [Get Help]
Download OpenAPI specification:Download
Use the Data Prep Recipe API to programmatically access and manage Data Prep recipes and recipe configurations. Get recipe files, manage notifications, and configure recipe settings.
For detailed usage examples, see Manage, Schedule, and Run Recipes with REST APIs.
Returns a collection of Data Prep recipes.
Available in: v38.0
Note: Recipes require the recipe editor UI for creation and aren’t supported using POST via this API endpoint.
To view and test a working example of this resource, see getRecipeCollection in Postman. For information about how to authenticate your org with Postman, see the CRM Analytics Rest API Quickstart.
Returns a collection of Data Prep recipes.
Available in: v38.0
Note: Create recipes in the recipe editor UI. POST requests to this endpoint aren’t supported.
The following GET request uses the q parameter to search for recipes:
GET /wave/recipes?q=MyRecipe
| folderId | string <Id> Returns a collection filtered by recipes belonging to the specified folder ID. Available in: v61.0 |
| format | string (ConnectRecipeFormatTypeEnum) Enum: "R2" "R3" Returns a collection filtered by the format of the current recipe definition. Valid values are:
Available in: v48.0 |
| lastModifiedAfter | string Returns a collection filtered by recipes with a last modified date after the given value. Available in: v55.0 |
| lastModifiedBefore | string Returns a collection filtered by recipes with a last modified date before the given value. Available in: v55.0 |
| licenseType | string (ConnectAnalyticsLicenseTypeEnum) Enum: "Cdp" "DataPipelineQuery" "EinsteinAnalytics" "IntelligentApps" "MulesoftDataPath" "Sonic" Filters the collection by the Analytics license type. Valid values are
Available in: v52.0 |
| nextScheduledAfter | string Returns a collection filtered by recipes with a scheduled run after the given value. Available in: v55.0 |
| nextScheduledBefore | string Returns a collection filtered by recipes with a scheduled run before the given value. Available in: v55.0 |
| page | string A generated token that indicates the view of the objects to be returned. Available in: v38.0 |
| pageSize | integer <int32> Number of items to be returned in a single page. Minimum is 1, maximum is 200, and the default is 25. Available in: v38.0 |
| q | string Search terms. Individual terms are separated by spaces. A wildcard is automatically appended to the last token in the query string. If the user’s search query contains quotation marks or wildcards, those symbols are automatically removed from the query string in the URI along with any other special characters. Available in: v38.0 |
| sort | string (ConnectWaveSortOrderTypeEnum) Enum: "App" "CreatedBy" "CreatedById" "CreatedDate" "FolderName" "LastArchivedBy" "LastArchivedDate" "LastModified" "LastModifiedBy" "LastModifiedById" "LastModifiedDate" "Location" "Mru" "Name" "Outcome" "Owner" "RefreshDate" "RunDate" "Status" "Title" "Type" The type of sort order to be applied to the returned collection. Valid values are:
Available in: v38.0 |
| status | Array of strings (ConnectRecipeStatusEnum) Items Enum: "Cancelled" "Failure" "New" "Queued" "Running" "Success" "Warning" Returns a collection filtered by the statuses of the recipe. Valid values are:
Available in: v55.0 |
{- "nextPageUrl": "string",
- "recipes": [
- {
- "assetSharingUrl": "string",
- "conversionDetails": [
- {
- "conversionDetailId": 0,
- "message": "string",
- "nodeName": "string",
- "severity": "UserInfo"
}
], - "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "dataflowLastUpdate": "2019-08-24",
- "dataset": {
- "description": "string",
- "id": "string",
- "label": "string",
- "name": "string",
- "namespace": "string",
- "platformId": "string",
- "type": "Collection",
- "url": "string",
- "version": "string"
}, - "description": "string",
- "fileUrl": "string",
- "format": "R2",
- "historiesUrl": "string",
- "id": "string",
- "label": "string",
- "lastAccessedDate": "2019-08-24",
- "lastModifiedBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "lastModifiedDate": "2019-08-24",
- "licenseAttributes": {
- "type": "Cdp"
}, - "licenseType": "Cdp",
- "name": "string",
- "namespace": "string",
- "nextScheduledDate": "2019-08-24",
- "permissions": {
- "create": true,
- "manage": true,
- "modify": true,
- "view": true
}, - "publishingTarget": "DataPool",
- "recipeDefinition": {
- "name": "string",
- "nodes": {
- "property1": {
- "action": "Aggregate",
- "schema": {
- "fields": [
- {
- "errorValue": "string",
- "name": "string",
- "newProperties": {
- "label": null,
- "name": null,
- "typeProperties": null
}
}
], - "slice": {
- "fields": [
- "string"
], - "ignoreMissingFields": true,
- "mode": "string"
}
}, - "sources": [
- "string"
], - "parameters": {
- "aggregations": [
- {
- "action": "Avg",
- "label": "string",
- "name": "string",
- "source": "string"
}
], - "groupings": [
- "string"
], - "nodeType": "Hierarchical",
- "parentField": "string",
- "percentageField": "string",
- "pivot_v2": {
- "pivotFieldsInfo": {
- "property1": [
- null
], - "property2": [
- null
]
}, - "sourceFields": [
- "string"
], - "valueCombinations": [
- [
- null
]
]
}, - "pivots": [
- {
- "source": "string",
- "values": [
- null
]
}
], - "selfField": "string"
}
}, - "property2": {
- "action": "Aggregate",
- "schema": {
- "fields": [
- {
- "errorValue": "string",
- "name": "string",
- "newProperties": {
- "label": null,
- "name": null,
- "typeProperties": null
}
}
], - "slice": {
- "fields": [
- "string"
], - "ignoreMissingFields": true,
- "mode": "string"
}
}, - "sources": [
- "string"
], - "parameters": {
- "aggregations": [
- {
- "action": "Avg",
- "label": "string",
- "name": "string",
- "source": "string"
}
], - "groupings": [
- "string"
], - "nodeType": "Hierarchical",
- "parentField": "string",
- "percentageField": "string",
- "pivot_v2": {
- "pivotFieldsInfo": {
- "property1": [
- null
], - "property2": [
- null
]
}, - "sourceFields": [
- "string"
], - "valueCombinations": [
- [
- null
]
]
}, - "pivots": [
- {
- "source": "string",
- "values": [
- null
]
}
], - "selfField": "string"
}
}
}, - "runMode": "Full",
- "ui": { },
- "version": "string"
}, - "rowLevelSecurityPredicate": "string",
- "schedule": "string",
- "scheduleAttributes": {
- "assetId": "string",
- "events": {
- "events": [
- {
- "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "eventType": "JobCancelled"
}
]
}, - "frequency": "Daily",
- "nextScheduledDate": "2019-08-24",
- "notificationLevel": "Always",
- "time": {
- "hour": 0,
- "minute": 0,
- "timeZone": {
- "gmtOffset": 0.1,
- "name": "string",
- "zoneId": "string"
}
}
}, - "scheduleType": "EventDriven",
- "sourceDataflow": "string",
- "sourceRecipe": "string",
- "status": "Cancelled",
- "targetDataflowId": "string",
- "type": "recipe",
- "url": "string",
- "validationDetails": [
- {
- "message": "string",
- "nodeName": "string",
- "nodeType": "string",
- "severity": "Error",
- "validationAction": "string",
- "validationCode": 0
}
]
}
], - "totalSize": 0,
- "url": "string"
}Returns, updates, or deletes a Data Prep recipe.
With API version 49.0 and higher, the format request parameter is required for recipes created in the Data Prep format. For recipes
created in the Data Prep Classic format, the format request parameter isn’t needed. If you want to up-convert the Data
Prep Classic recipe format to the Data Prep recipe format, use the format request parameter set to R3.
Available in: v38.0
To view and test a working example of this resource, see getRecipe in Postman. For information about how to authenticate your org with Postman, see the CRM Analytics Rest API Quickstart.
lightning/analyticsWaveApi deleteRecipe()lightning/analyticsWaveApi getRecipe()lightning/analyticsWaveApi updateRecipe()To run a Data Prep recipe, use the Dataflow Jobs Resource API. For examples of how to start and stop recipes, see Start and Stop a Dataflow Job or Recipe.
To schedule a recipe, use the Schedule Resource API. For examples of how to schedule recipes, see Schedule Dataflows, Recipes, and Data Syncs.
Returns a Data Prep recipe.
Available in: v38.0
Note: In API version 49.0 and later, format is required for recipes created in the Data Prep format. It isn’t required for recipes created in the Data Prep Classic format. To retrieve a Classic recipe in the Data Prep format, set format to R3.
The following GET request returns a recipe in the Data Prep format:
GET /wave/recipes/{id}?format=R3
To run a recipe, use Start a Dataflow Job. To schedule a recipe, use Create a Schedule. For examples, see Run, Schedule, and Sync CRM Analytics Data.
| id required | string <Id> ^(05v)\w* The ID of the recipe. |
| format | string (ConnectRecipeFormatTypeEnum) Enum: "R2" "R3" Specifies the format of the returned recipe. Valid values are:
Required for Data Prep recipes, Optional for Data Prep Classic recipes. Available in: v49.0 |
| historyId | string <Id> Use the history ID to request a specific recipe version. Available in: v51.0 |
{- "assetSharingUrl": "string",
- "conversionDetails": [
- {
- "conversionDetailId": 0,
- "message": "string",
- "nodeName": "string",
- "severity": "UserInfo"
}
], - "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "dataflowLastUpdate": "2019-08-24",
- "dataset": {
- "description": "string",
- "id": "string",
- "label": "string",
- "name": "string",
- "namespace": "string",
- "platformId": "string",
- "type": "Collection",
- "url": "string",
- "version": "string"
}, - "description": "string",
- "fileUrl": "string",
- "format": "R2",
- "historiesUrl": "string",
- "id": "string",
- "label": "string",
- "lastAccessedDate": "2019-08-24",
- "lastModifiedBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "lastModifiedDate": "2019-08-24",
- "licenseAttributes": {
- "type": "Cdp"
}, - "licenseType": "Cdp",
- "name": "string",
- "namespace": "string",
- "nextScheduledDate": "2019-08-24",
- "permissions": {
- "create": true,
- "manage": true,
- "modify": true,
- "view": true
}, - "publishingTarget": "DataPool",
- "recipeDefinition": {
- "name": "string",
- "nodes": {
- "property1": {
- "action": "Aggregate",
- "schema": {
- "fields": [
- {
- "errorValue": "string",
- "name": "string",
- "newProperties": {
- "label": "string",
- "name": "string",
- "typeProperties": {
- "format": "string",
- "length": 0,
- "precision": 0,
- "scale": 0,
- "symbols": {
- "currencySymbol": null,
- "decimalSymbol": null,
- "groupingSymbol": null
}, - "type": "DateOnly"
}
}
}
], - "slice": {
- "fields": [
- "string"
], - "ignoreMissingFields": true,
- "mode": "string"
}
}, - "sources": [
- "string"
], - "parameters": {
- "aggregations": [
- {
- "action": "Avg",
- "label": "string",
- "name": "string",
- "source": "string"
}
], - "groupings": [
- "string"
], - "nodeType": "Hierarchical",
- "parentField": "string",
- "percentageField": "string",
- "pivot_v2": {
- "pivotFieldsInfo": {
- "property1": [
- {
- "label": "string",
- "name": "string"
}
], - "property2": [
- {
- "label": "string",
- "name": "string"
}
]
}, - "sourceFields": [
- "string"
], - "valueCombinations": [
- [
- "string"
]
]
}, - "pivots": [
- {
- "source": "string",
- "values": [
- "string"
]
}
], - "selfField": "string"
}
}, - "property2": {
- "action": "Aggregate",
- "schema": {
- "fields": [
- {
- "errorValue": "string",
- "name": "string",
- "newProperties": {
- "label": "string",
- "name": "string",
- "typeProperties": {
- "format": "string",
- "length": 0,
- "precision": 0,
- "scale": 0,
- "symbols": {
- "currencySymbol": null,
- "decimalSymbol": null,
- "groupingSymbol": null
}, - "type": "DateOnly"
}
}
}
], - "slice": {
- "fields": [
- "string"
], - "ignoreMissingFields": true,
- "mode": "string"
}
}, - "sources": [
- "string"
], - "parameters": {
- "aggregations": [
- {
- "action": "Avg",
- "label": "string",
- "name": "string",
- "source": "string"
}
], - "groupings": [
- "string"
], - "nodeType": "Hierarchical",
- "parentField": "string",
- "percentageField": "string",
- "pivot_v2": {
- "pivotFieldsInfo": {
- "property1": [
- {
- "label": "string",
- "name": "string"
}
], - "property2": [
- {
- "label": "string",
- "name": "string"
}
]
}, - "sourceFields": [
- "string"
], - "valueCombinations": [
- [
- "string"
]
]
}, - "pivots": [
- {
- "source": "string",
- "values": [
- "string"
]
}
], - "selfField": "string"
}
}
}, - "runMode": "Full",
- "ui": { },
- "version": "string"
}, - "rowLevelSecurityPredicate": "string",
- "schedule": "string",
- "scheduleAttributes": {
- "assetId": "string",
- "events": {
- "events": [
- {
- "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "eventType": "JobCancelled"
}
]
}, - "frequency": "Daily",
- "nextScheduledDate": "2019-08-24",
- "notificationLevel": "Always",
- "time": {
- "hour": 0,
- "minute": 0,
- "timeZone": {
- "gmtOffset": 0.1,
- "name": "string",
- "zoneId": "string"
}
}
}, - "scheduleType": "EventDriven",
- "sourceDataflow": "string",
- "sourceRecipe": "string",
- "status": "Cancelled",
- "targetDataflowId": "string",
- "type": "recipe",
- "url": "string",
- "validationDetails": [
- {
- "message": "string",
- "nodeName": "string",
- "nodeType": "string",
- "severity": "Error",
- "validationAction": "string",
- "validationCode": 0
}
]
}Reverts a Data Prep recipe to a previous historical version. Specify that version’s historyId in the request body.
Available in: v38.0
| id required | string <Id> ^(05v)\w* The ID of the recipe. |
Use the PUT API request to revert to a previous historical version.
| historyId required | string The required source history id for this asset to revert to. Available in: v42.0 |
| historyLabel | string The history label to tag the revert change with. Available in: v42.0 |
Reverts the recipe to the historical version identified by historyId. The optional historyLabel labels the reverted version.
{- "historyId": "0RmRM000000xxxxxxx",
- "historyLabel": "Rollback to known-good version"
}{- "assetSharingUrl": "string",
- "conversionDetails": [
- {
- "conversionDetailId": 0,
- "message": "string",
- "nodeName": "string",
- "severity": "UserInfo"
}
], - "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "dataflowLastUpdate": "2019-08-24",
- "dataset": {
- "description": "string",
- "id": "string",
- "label": "string",
- "name": "string",
- "namespace": "string",
- "platformId": "string",
- "type": "Collection",
- "url": "string",
- "version": "string"
}, - "description": "string",
- "fileUrl": "string",
- "format": "R2",
- "historiesUrl": "string",
- "id": "string",
- "label": "string",
- "lastAccessedDate": "2019-08-24",
- "lastModifiedBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "lastModifiedDate": "2019-08-24",
- "licenseAttributes": {
- "type": "Cdp"
}, - "licenseType": "Cdp",
- "name": "string",
- "namespace": "string",
- "nextScheduledDate": "2019-08-24",
- "permissions": {
- "create": true,
- "manage": true,
- "modify": true,
- "view": true
}, - "publishingTarget": "DataPool",
- "recipeDefinition": {
- "name": "string",
- "nodes": {
- "property1": {
- "action": "Aggregate",
- "schema": {
- "fields": [
- {
- "errorValue": "string",
- "name": "string",
- "newProperties": {
- "label": "string",
- "name": "string",
- "typeProperties": {
- "format": "string",
- "length": 0,
- "precision": 0,
- "scale": 0,
- "symbols": {
- "currencySymbol": null,
- "decimalSymbol": null,
- "groupingSymbol": null
}, - "type": "DateOnly"
}
}
}
], - "slice": {
- "fields": [
- "string"
], - "ignoreMissingFields": true,
- "mode": "string"
}
}, - "sources": [
- "string"
], - "parameters": {
- "aggregations": [
- {
- "action": "Avg",
- "label": "string",
- "name": "string",
- "source": "string"
}
], - "groupings": [
- "string"
], - "nodeType": "Hierarchical",
- "parentField": "string",
- "percentageField": "string",
- "pivot_v2": {
- "pivotFieldsInfo": {
- "property1": [
- {
- "label": "string",
- "name": "string"
}
], - "property2": [
- {
- "label": "string",
- "name": "string"
}
]
}, - "sourceFields": [
- "string"
], - "valueCombinations": [
- [
- "string"
]
]
}, - "pivots": [
- {
- "source": "string",
- "values": [
- "string"
]
}
], - "selfField": "string"
}
}, - "property2": {
- "action": "Aggregate",
- "schema": {
- "fields": [
- {
- "errorValue": "string",
- "name": "string",
- "newProperties": {
- "label": "string",
- "name": "string",
- "typeProperties": {
- "format": "string",
- "length": 0,
- "precision": 0,
- "scale": 0,
- "symbols": {
- "currencySymbol": null,
- "decimalSymbol": null,
- "groupingSymbol": null
}, - "type": "DateOnly"
}
}
}
], - "slice": {
- "fields": [
- "string"
], - "ignoreMissingFields": true,
- "mode": "string"
}
}, - "sources": [
- "string"
], - "parameters": {
- "aggregations": [
- {
- "action": "Avg",
- "label": "string",
- "name": "string",
- "source": "string"
}
], - "groupings": [
- "string"
], - "nodeType": "Hierarchical",
- "parentField": "string",
- "percentageField": "string",
- "pivot_v2": {
- "pivotFieldsInfo": {
- "property1": [
- {
- "label": "string",
- "name": "string"
}
], - "property2": [
- {
- "label": "string",
- "name": "string"
}
]
}, - "sourceFields": [
- "string"
], - "valueCombinations": [
- [
- "string"
]
]
}, - "pivots": [
- {
- "source": "string",
- "values": [
- "string"
]
}
], - "selfField": "string"
}
}
}, - "runMode": "Full",
- "ui": { },
- "version": "string"
}, - "rowLevelSecurityPredicate": "string",
- "schedule": "string",
- "scheduleAttributes": {
- "assetId": "string",
- "events": {
- "events": [
- {
- "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "eventType": "JobCancelled"
}
]
}, - "frequency": "Daily",
- "nextScheduledDate": "2019-08-24",
- "notificationLevel": "Always",
- "time": {
- "hour": 0,
- "minute": 0,
- "timeZone": {
- "gmtOffset": 0.1,
- "name": "string",
- "zoneId": "string"
}
}
}, - "scheduleType": "EventDriven",
- "sourceDataflow": "string",
- "sourceRecipe": "string",
- "status": "Cancelled",
- "targetDataflowId": "string",
- "type": "recipe",
- "url": "string",
- "validationDetails": [
- {
- "message": "string",
- "nodeName": "string",
- "nodeType": "string",
- "severity": "Error",
- "validationAction": "string",
- "validationCode": 0
}
]
}Updates a Data Prep recipe.
Available in: v38.0
To change the recipe’s license type, set recipeObject.licenseAttributes.type in the request body.
Note: If a Data Prep Classic recipe is retrieved in the Data Prep format, a PATCH request using that representation permanently converts the recipe to the Data Prep format.
| id required | string <Id> ^(05v)\w* The ID of the recipe. |
| enableEditorValidation | boolean Indicates whether editor validation for the recipe is enabled ( Available in: v53.0 |
| validationContext | string Enum: "Default" "Editor" The recipe validation context. Available in: v53.0 |
| recipeFile | string <binary> The recipe file. Available in: v38.0 |
object (RecipeInput) A data prep recipe. | |
| enableEditorValidation | boolean Indicates whether editor validation for the recipe is enabled ( Available in: v53.0 |
| validationContext | string The recipe validation context. Valid values are:
Available in: v53.0 |
The following JSON shows how to update a recipe, specifically the license type for the recipe.
{ "recipeObject": { "licenseAttributes": { "type": "Sonic" } } }
{- "assetSharingUrl": "string",
- "conversionDetails": [
- {
- "conversionDetailId": 0,
- "message": "string",
- "nodeName": "string",
- "severity": "UserInfo"
}
], - "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "dataflowLastUpdate": "2019-08-24",
- "dataset": {
- "description": "string",
- "id": "string",
- "label": "string",
- "name": "string",
- "namespace": "string",
- "platformId": "string",
- "type": "Collection",
- "url": "string",
- "version": "string"
}, - "description": "string",
- "fileUrl": "string",
- "format": "R2",
- "historiesUrl": "string",
- "id": "string",
- "label": "string",
- "lastAccessedDate": "2019-08-24",
- "lastModifiedBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "lastModifiedDate": "2019-08-24",
- "licenseAttributes": {
- "type": "Cdp"
}, - "licenseType": "Cdp",
- "name": "string",
- "namespace": "string",
- "nextScheduledDate": "2019-08-24",
- "permissions": {
- "create": true,
- "manage": true,
- "modify": true,
- "view": true
}, - "publishingTarget": "DataPool",
- "recipeDefinition": {
- "name": "string",
- "nodes": {
- "property1": {
- "action": "Aggregate",
- "schema": {
- "fields": [
- {
- "errorValue": "string",
- "name": "string",
- "newProperties": {
- "label": "string",
- "name": "string",
- "typeProperties": {
- "format": "string",
- "length": 0,
- "precision": 0,
- "scale": 0,
- "symbols": {
- "currencySymbol": null,
- "decimalSymbol": null,
- "groupingSymbol": null
}, - "type": "DateOnly"
}
}
}
], - "slice": {
- "fields": [
- "string"
], - "ignoreMissingFields": true,
- "mode": "string"
}
}, - "sources": [
- "string"
], - "parameters": {
- "aggregations": [
- {
- "action": "Avg",
- "label": "string",
- "name": "string",
- "source": "string"
}
], - "groupings": [
- "string"
], - "nodeType": "Hierarchical",
- "parentField": "string",
- "percentageField": "string",
- "pivot_v2": {
- "pivotFieldsInfo": {
- "property1": [
- {
- "label": "string",
- "name": "string"
}
], - "property2": [
- {
- "label": "string",
- "name": "string"
}
]
}, - "sourceFields": [
- "string"
], - "valueCombinations": [
- [
- "string"
]
]
}, - "pivots": [
- {
- "source": "string",
- "values": [
- "string"
]
}
], - "selfField": "string"
}
}, - "property2": {
- "action": "Aggregate",
- "schema": {
- "fields": [
- {
- "errorValue": "string",
- "name": "string",
- "newProperties": {
- "label": "string",
- "name": "string",
- "typeProperties": {
- "format": "string",
- "length": 0,
- "precision": 0,
- "scale": 0,
- "symbols": {
- "currencySymbol": null,
- "decimalSymbol": null,
- "groupingSymbol": null
}, - "type": "DateOnly"
}
}
}
], - "slice": {
- "fields": [
- "string"
], - "ignoreMissingFields": true,
- "mode": "string"
}
}, - "sources": [
- "string"
], - "parameters": {
- "aggregations": [
- {
- "action": "Avg",
- "label": "string",
- "name": "string",
- "source": "string"
}
], - "groupings": [
- "string"
], - "nodeType": "Hierarchical",
- "parentField": "string",
- "percentageField": "string",
- "pivot_v2": {
- "pivotFieldsInfo": {
- "property1": [
- {
- "label": "string",
- "name": "string"
}
], - "property2": [
- {
- "label": "string",
- "name": "string"
}
]
}, - "sourceFields": [
- "string"
], - "valueCombinations": [
- [
- "string"
]
]
}, - "pivots": [
- {
- "source": "string",
- "values": [
- "string"
]
}
], - "selfField": "string"
}
}
}, - "runMode": "Full",
- "ui": { },
- "version": "string"
}, - "rowLevelSecurityPredicate": "string",
- "schedule": "string",
- "scheduleAttributes": {
- "assetId": "string",
- "events": {
- "events": [
- {
- "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "eventType": "JobCancelled"
}
]
}, - "frequency": "Daily",
- "nextScheduledDate": "2019-08-24",
- "notificationLevel": "Always",
- "time": {
- "hour": 0,
- "minute": 0,
- "timeZone": {
- "gmtOffset": 0.1,
- "name": "string",
- "zoneId": "string"
}
}
}, - "scheduleType": "EventDriven",
- "sourceDataflow": "string",
- "sourceRecipe": "string",
- "status": "Cancelled",
- "targetDataflowId": "string",
- "type": "recipe",
- "url": "string",
- "validationDetails": [
- {
- "message": "string",
- "nodeName": "string",
- "nodeType": "string",
- "severity": "Error",
- "validationAction": "string",
- "validationCode": 0
}
]
}Returns a Data Prep recipe’s JSON file contents as a binary stream.
Available in: v38.0
This endpoint is internal to the recipe UI and is available only for debugging and reference. Modifying this content isn’t supported. The JSON representation differs between recipe 2.0 and recipe 3.0.
| id required | string <Id> ^(05v)\w* The ID of the recipe. |
Returns a Data Prep recipe job notification, creates, or updates a Data Prep recipe job notification.
Available in: v49.0
To view and test a working example of this resource, see getRecipeNotification in Postman. For information about how to authenticate your org with Postman, CRM Analytics Rest API Quickstart.
Returns a Data Prep recipe job notification.
Available in: v49.0
| id required | string <Id> ^(05v)\w* The ID of the recipe. |
{- "longRunningAlertInMins": 0,
- "notificationLevel": "Always",
- "recipe": {
- "description": "string",
- "id": "string",
- "label": "string",
- "name": "string",
- "namespace": "string",
- "platformId": "string",
- "type": "Collection",
- "url": "string",
- "version": "string"
}
}Creates or updates a Data Prep recipe job notification.
Available in: v49.0
| id required | string <Id> ^(05v)\w* The ID of the recipe. |
Recipe Notification Input
| longRunningAlertInMins | integer The number of minutes that a recipe can run before sending an alert. Available in: v49.0 |
| notificationLevel required | string (ConnectEmailNotificationLevelEnum) Enum: "Always" "Failures" "Never" "Warnings" Valid types of email notification levels. Available in: v49.0 Filter group: Small |
The following JSON shows how to update an existing recipe notification.
{- "longRunningAlertInMins": 60,
- "notificationLevel": "Warnings"
}{- "longRunningAlertInMins": 0,
- "notificationLevel": "Always",
- "recipe": {
- "description": "string",
- "id": "string",
- "label": "string",
- "name": "string",
- "namespace": "string",
- "platformId": "string",
- "type": "Collection",
- "url": "string",
- "version": "string"
}
}Returns or updates a collection of Data Prep recipe configurations and creates a recipe configuration.
Available in: v54.0
Returns a collection of Data Prep recipe configurations.
Available in: v54.0
{- "configurations": [
- {
- "assetSharingUrl": "string",
- "configurationType": "Fiscal",
- "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "description": "string",
- "id": "string",
- "label": "string",
- "lastAccessedDate": "2019-08-24",
- "lastModifiedBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "lastModifiedDate": "2019-08-24",
- "name": "string",
- "namespace": "string",
- "permissions": {
- "create": true,
- "manage": true,
- "modify": true,
- "view": true
}, - "type": "RecipeFiscalOffsetConfiguration",
- "url": "string",
- "firstDayOfWeek": 0,
- "fiscalType": "Offset",
- "isDefault": true,
- "monthOffset": "string",
- "yearBasedOn": "End"
}
], - "histories": [
- {
- "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24T14:15:22Z",
- "historyUrl": "string",
- "id": "string",
- "isCurrent": true,
- "label": "string",
- "name": "string",
- "previewUrl": "string",
- "privatePreviewUrl": "string",
- "revertUrl": "string",
- "status": "string",
- "summary": [
- {
- "total": 0,
- "type": "string"
}
]
}
], - "nextPageUrl": "string",
- "totalSize": 0,
- "url": "string"
}Creates a Data Prep recipe configuration.
Available in: v54.0
Recipe Configuration Input
| configurationType | string (RecipeConfigurationTypeEnum) The recipe configuration fiscal type. Valid values are:
Available in: v54.0 |
| description | string Short description of the asset Required for POST; Optional in PATCH Available in: v36.0 |
| firstDayOfWeek | integer First day of week (calendar and fiscal). |
| fiscalType required | string Value: "Offset" |
| id | string ID. |
| isDefault | boolean If true, this is the default fiscal configuration. |
| label | string The asset label. in POST and PATCH Available in: v37.0 |
| monthOffset | integer Month offset. |
| name | string The asset developer name. Required for POST; Not allowed to edit in PATCH Available in: v36.0 |
| yearBasedOn | string (RecipeConfigurationFiscalOffsetYearBasedOnEnum) Enum: "End" "Start" Different fiscal offset year based on configurations |
{- "configurationType": "Fiscal",
- "description": "string",
- "firstDayOfWeek": 0,
- "fiscalType": "Offset",
- "id": "string",
- "isDefault": true,
- "label": "string",
- "monthOffset": 0,
- "name": "string",
- "yearBasedOn": "End"
}{- "assetSharingUrl": "string",
- "configurationType": "Fiscal",
- "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "description": "string",
- "firstDayOfWeek": 0,
- "fiscalType": "Offset",
- "id": "string",
- "isDefault": true,
- "label": "string",
- "lastAccessedDate": "2019-08-24",
- "lastModifiedBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "lastModifiedDate": "2019-08-24",
- "monthOffset": "string",
- "name": "string",
- "namespace": "string",
- "permissions": {
- "create": true,
- "manage": true,
- "modify": true,
- "view": true
}, - "type": "RecipeFiscalOffsetConfiguration",
- "url": "string",
- "yearBasedOn": "End"
}Updates a collection of Data Prep recipe configurations.
Available in: v54.0
Recipe Configuration Collection Input
Array of objects (RecipeConfigurationInput) List of recipe configurations. | |
required | Array of objects (RecipeConfigurationInput) The list of recipe configurations to update. Available in: v54.0 |
{- "configurations": [
- {
- "configurationType": "Fiscal",
- "description": "string",
- "label": "string",
- "name": "string",
- "firstDayOfWeek": 0,
- "fiscalType": "Offset",
- "id": "string",
- "isDefault": true,
- "monthOffset": 0,
- "yearBasedOn": "End"
}
], - "recipeConfigurations": [
- {
- "configurationType": "Fiscal",
- "description": "string",
- "label": "string",
- "name": "string",
- "firstDayOfWeek": 0,
- "fiscalType": "Offset",
- "id": "string",
- "isDefault": true,
- "monthOffset": 0,
- "yearBasedOn": "End"
}
]
}{- "configurations": [
- {
- "assetSharingUrl": "string",
- "configurationType": "Fiscal",
- "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "description": "string",
- "id": "string",
- "label": "string",
- "lastAccessedDate": "2019-08-24",
- "lastModifiedBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "lastModifiedDate": "2019-08-24",
- "name": "string",
- "namespace": "string",
- "permissions": {
- "create": true,
- "manage": true,
- "modify": true,
- "view": true
}, - "type": "RecipeFiscalOffsetConfiguration",
- "url": "string",
- "firstDayOfWeek": 0,
- "fiscalType": "Offset",
- "isDefault": true,
- "monthOffset": "string",
- "yearBasedOn": "End"
}
], - "histories": [
- {
- "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24T14:15:22Z",
- "historyUrl": "string",
- "id": "string",
- "isCurrent": true,
- "label": "string",
- "name": "string",
- "previewUrl": "string",
- "privatePreviewUrl": "string",
- "revertUrl": "string",
- "status": "string",
- "summary": [
- {
- "total": 0,
- "type": "string"
}
]
}
], - "nextPageUrl": "string",
- "totalSize": 0,
- "url": "string"
}Returns, updates, or deletes a Data Prep recipe configuration.
Available in: v54.0
Returns a Data Prep recipe configuration.
Available in: v54.0
| id required | string <Id> ^(7y8)\w* The ID of the recipe. |
{- "assetSharingUrl": "string",
- "configurationType": "Fiscal",
- "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "description": "string",
- "firstDayOfWeek": 0,
- "fiscalType": "Offset",
- "id": "string",
- "isDefault": true,
- "label": "string",
- "lastAccessedDate": "2019-08-24",
- "lastModifiedBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "lastModifiedDate": "2019-08-24",
- "monthOffset": "string",
- "name": "string",
- "namespace": "string",
- "permissions": {
- "create": true,
- "manage": true,
- "modify": true,
- "view": true
}, - "type": "RecipeFiscalOffsetConfiguration",
- "url": "string",
- "yearBasedOn": "End"
}Updates the specified Data Prep recipe configuration.
Available in: v54.0
| id required | string <Id> ^(7y8)\w* The ID of the recipe. |
Recipe Configuration Input
| configurationType | string (RecipeConfigurationTypeEnum) The recipe configuration fiscal type. Valid values are:
Available in: v54.0 |
| description | string Short description of the asset Required for POST; Optional in PATCH Available in: v36.0 |
| firstDayOfWeek | integer First day of week (calendar and fiscal). |
| fiscalType required | string Value: "Offset" |
| id | string ID. |
| isDefault | boolean If true, this is the default fiscal configuration. |
| label | string The asset label. in POST and PATCH Available in: v37.0 |
| monthOffset | integer Month offset. |
| name | string The asset developer name. Required for POST; Not allowed to edit in PATCH Available in: v36.0 |
| yearBasedOn | string (RecipeConfigurationFiscalOffsetYearBasedOnEnum) Enum: "End" "Start" Different fiscal offset year based on configurations |
{- "configurationType": "Fiscal",
- "description": "string",
- "firstDayOfWeek": 0,
- "fiscalType": "Offset",
- "id": "string",
- "isDefault": true,
- "label": "string",
- "monthOffset": 0,
- "name": "string",
- "yearBasedOn": "End"
}{- "assetSharingUrl": "string",
- "configurationType": "Fiscal",
- "createdBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "createdDate": "2019-08-24",
- "description": "string",
- "firstDayOfWeek": 0,
- "fiscalType": "Offset",
- "id": "string",
- "isDefault": true,
- "label": "string",
- "lastAccessedDate": "2019-08-24",
- "lastModifiedBy": {
- "id": "string",
- "name": "string",
- "profilePhotoUrl": "string"
}, - "lastModifiedDate": "2019-08-24",
- "monthOffset": "string",
- "name": "string",
- "namespace": "string",
- "permissions": {
- "create": true,
- "manage": true,
- "modify": true,
- "view": true
}, - "type": "RecipeFiscalOffsetConfiguration",
- "url": "string",
- "yearBasedOn": "End"
}